function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
  if sender==30 then --комикс завершился
    setcurentleaf("barton_vhod",1,0);
    AddParticleToObject(46,"zvezd1",246,342);
    MoveEmiter("zvezd1",246,342);
    if flags.energyclose then
      StartEmiter("zvezd1"); 
    end;    
    flags.door= true;
    StopEmiter("dver");
    ShowMenu(true);
    -- SetDrawSheet("re",true)
    savegame(SaveLevel());
  return;end;
  
  if sender==33 then
    if frame==8 then
      SetAlfa(-33,1,0,2.5);
      clear_satelite_leaf("barton_vhod");
    return;end;
  return;end;
---------------------------------------------------------------------------------------------------------------  
  if sender==28 then---- объект доехал

    if obj_id==1 then
    
        if skip then
           clear_satelite_leaf("barton_vhod");
        return;end;
      if frame==0 then

        MoveObjectX(3,1024,600,2);   
        MoveObjectX(2,-300,76,2);  
        speciale_action(2,11,true);        
        BlockCursor(false);
      return;end;  
    return;end;
    if obj_id==3 then
      if frame==0 then
      
        ScaleObject(3,1,1.1)
        setcolor(2,0.6,0.6,0.6,1); 
      return;end;  
    return;end;
  return;end;  
---------------------------------------------------------------------------------------------------------------
  if sender==29 then -- отработал скейл
     if obj_id==3 then
      if frame==0 then
        setcolor(1100,1,1,1,1,1);
        speciale_action(2,28);
        -- speciale_action(2,11,true);
        BlockCursor(false);
        Blocking= false;
        --SetAlfa(28,0,0);        
        --SetAlfa(28,0,1,1);
      return; end;
     return;end;
  return;end;
  
      if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
    
    if obj_id==11 then
      MoveObjectY(1,-200,-385,2);
      MoveObjectY(12,610,768,2);
      MoveObjectX(3,600,1024,1.5);   
      MoveObjectX(2,76,-350,1.5);
      addfade(-33,0);
      SetAlfa(-33,0,1,2)
      speciale_action(2,11);
      speciale_action(2,1100);    
      SetAlfa(16,1,0,0.1)
      SetAlfa(28,1,0,0.1)      
      skip=true;
    return;end;  
  return;end;

  if sender==6 then  
    if not Blocking then
        frame=frame+1;
      if frame==1  then 
           ScaleObject(3,1.1,1)
        setcolor(3,0.6,0.6,0.6,1);
        ScaleObject(2,1,1.1)
        setcolor(2,1,1,1,1); 
        speciale_action(2,28);
        speciale_action(2,16);
        set_text(1100,"251"); 
      return;end;
      if frame==2 then 
           ScaleObject(2,1.1,1)
        setcolor(2,0.6,0.6,0.6,1);
        ScaleObject(3,1,1.1)
        setcolor(3,1,1,1,1); 
        speciale_action(2,28);
        speciale_action(2,16);
        set_text(1100,"254");
      return;end;
      if frame==3 then 
         ScaleObject(3,1.1,1)
        setcolor(3,0.6,0.6,0.6,1);
        ScaleObject(2,1,1.1)
        setcolor(2,1,1,1,1); 
        speciale_action(2,28);
        speciale_action(2,16);
        set_text(1100,"255");
      return;end;
      if frame==4 then 
         ScaleObject(2,1.1,1)
        setcolor(2,0.6,0.6,0.6,1);
        ScaleObject(3,1,1.1)
        setcolor(3,1,1,1,1); 
        speciale_action(2,28);
        speciale_action(2,16);
        set_text(1100,"256");    
      return;end;
      if frame==5 then 
         ScaleObject(3,1.1,1)
        setcolor(3,0.6,0.6,0.6,1);
        ScaleObject(2,1,1.1)
        setcolor(2,1,1,1,1); 
        speciale_action(2,28);
        speciale_action(2,16);
        set_text(1100,"257");    
      return;end;
      if frame==6 then
         ScaleObject(2,1.1,1)
        setcolor(2,0.6,0.6,0.6,1);
        ScaleObject(3,1,1.1)
        setcolor(3,1,1,1,1) 
        speciale_action(2,28);
        speciale_action(2,16);
        set_text(1100,"258");    
      return;end;
      if frame==7 then 
         ScaleObject(3,1.1,1)
        setcolor(3,0.6,0.6,0.6,1);
        ScaleObject(2,1,1.1)
        setcolor(2,1,1,1,1); 
        speciale_action(2,28);
        speciale_action(2,16);
        set_text(1100,"259");    
      return;end;
      if frame==8 then 
         MoveObjectY(1,-200,-385,2);
         MoveObjectY(12,610,768,2);
         speciale_action(2,16);
         speciale_action(2,11);
         speciale_action(2,2);
         speciale_action(2,3);
         setcolor(1100,1,1,1,0,1);  
         SetAlfa(-33,0,1,2.5);
      return;end;      
    return;end;      

  return;end;  
  
  
end
